# $Revision: 1.23 $, $Date: 2006/05/03 20:12:15 $
Summary:	Sound recorder for KDE
Summary(pl):	Rejestrator dwiku dla KDE
Name:		krecord
Version:	1.16
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.bytesex.org/releases/krecord/%{name}-%{version}.tar.gz
# Source0-md5:	d0b4b0d981bf1c4a3872423b8d4b4b1d
Source1:	%{name}.desktop
patch0:		%{name}-doc-path.patch
URL:		http://bytesex.org/krecord.html
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_htmldir	/usr/share/doc/kde/HTML

%description
A simple KDE interface to record sounds.

%description -l pl
Prosty interfejs KDE do rejestrowania dwiku.

%prep
%setup -q
%patch0 -p1

%build
KDEDIR="%{_prefix}"; export KDEDIR
QTDIR="%{_prefix}"; export QTDIR
kde_htmldir="%{_htmldir}"; export kde_htmldir
CFLAGS="%{rpmcflags}"; export CFLAGS
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-kde --all-name
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/krecord.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/krecord
%{_desktopdir}/%{name}.desktop
%{_datadir}/apps/krecord

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: krecord.spec,v $
Revision 1.23  2006/05/03 20:12:15  glen
- 1.16

Revision 1.22  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.21  2004/09/07 10:21:19  kolodko
- up to 1.15.1
- added doc-path.patch
- added desktop

Revision 1.20  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.17  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.16  2002/08/31 14:48:39  blues
- release 2 - STBR

Revision 1.15  2002/07/28 21:57:57  blues
- 1.11 - KDE3 port

Revision 1.14  2002/07/22 22:29:27  blues
- new doc

Revision 1.13  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/25 15:07:27  qboosh
- updated to 1.9, fixed and finished spec - builds

Revision 1.11  2002/01/18 02:13:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/04 10:15:26  qboosh
- Group changed to X11/Applications/Multimedia, prefix to /usr/X11R6
- TODO: rewrite %files

Revision 1.9  2001/09/19 21:46:31  ankry
- updated version to 1.4
- updated source URL

Revision 1.8  2001/05/02 21:51:23  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.7  2000/06/09 07:23:16  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.4  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Gerald Teschl <gerald@esi.ac.at>
- Created
